Summary: 	Kerberos 4  Authentication System  
Name: 		krb4
Version: 	1.2.1
Release: 	1
Group: 		Internet
Packager:       linuxkid <linux@peanutlinux.org>
Source0: 	%{name}-%{version}.tar.gz
Copyright: 	freely distributable
BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Kungliga Tekniska Hgskolan (Royal Institute of Technology, 
Stockholm, Sweden) version of Kerberos 4. Kerberos is an authentication 
system developed at MIT. This is a severly hacked up version of Eric Young's 
eBones-p9 kerberos version. The DES library has been updated with his 3.23 
version and numerous patches collected over the years have been applied to 
both the kerberos and DES sources, most notably the CMU patches for extended
lifetimes that AFS uses. There is also support for AFS built into most
programs.   

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure --enable-shared --enable-static --disable-nls
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
        
strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin
/usr/sbin
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la
/usr/man/man1
/usr/man/man3
/usr/man/man5
/usr/man/man8

%files devel
%defattr(-,root,root)
/usr/include
/usr/lib/*.a
